build:
  stage: build
  when: manual
  image:
    name: alpine/k8s:1.25.6
  before_script:
    - CHART_NAME=$(yq ".name" Chart.yaml)
    - CHART_VERSION=$(yq ".version" Chart.yaml)
  script: 
    - helm plugin install --version master https://github.com/sonatype-nexus-community/helm-nexus-push.git
    - helm lint .
    - helm package .
    - helm repo add helm-local --username $AUTH_COMMON_USERNAME --password "$AUTH_COMMON_PASSWORD" $HELM_LOCAL_REPO_URL
    - helm nexus-push helm-local . -u $AUTH_COMMON_USERNAME -p "$AUTH_COMMON_PASSWORD"